<?php


return  
    [
        'model' => [
            'model' => \Annotators\Annotator\Models\Annotator::class,
            'repository' => \Annotators\Annotator\Repositories\Eloquent\AnnotatorRepository::class,
            'table' => 'annotators',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'user_id',  'cv',  'nativity',  'seniority',  'created_at',  'modified_at',  ')',  '),',  'id),'],
            'translatables' => [],
            'upload_folder' => 'annotator/annotator',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "cv" => [
                "key" => "cv", 
                "type" => "text", 
                "label" => 'annotator::annotator.label.cv', 
                'sort' => true,
                'roles' => [],
            ],
            "nativity" => [
                "key" => "nativity", 
                "type" => "text", 
                "label" => 'annotator::annotator.label.nativity', 
                'sort' => true,
                'roles' => [],
            ],
            "seniority" => [
                "key" => "seniority", 
                "type" => "text", 
                "label" => 'annotator::annotator.label.seniority', 
                'sort' => true,
                'roles' => [],
            ],
            "modified_at" => [
                "key" => "modified_at", 
                "type" => "text", 
                "label" => 'annotator::annotator.label.modified_at', 
                'sort' => true,
                'roles' => [],
            ],
            ")" => [
                "key" => ")", 
                "type" => "text", 
                "label" => 'annotator::annotator.label.)', 
                'sort' => true,
                'roles' => [],
            ],
            ")," => [
                "key" => "),", 
                "type" => "text", 
                "label" => 'annotator::annotator.label.),', 
                'sort' => true,
                'roles' => [],
            ],
            "id)," => [
                "key" => "id),", 
                "type" => "text", 
                "label" => 'annotator::annotator.label.id),', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'cv' => [
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'annotator::annotator.label.cv',
                "placeholder" => 'annotator::annotator.placeholder.cv',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'nativity' => [
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'annotator::annotator.label.nativity',
                "placeholder" => 'annotator::annotator.placeholder.nativity',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'seniority' => [
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'annotator::annotator.label.seniority',
                "placeholder" => 'annotator::annotator.placeholder.seniority',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'modified_at' => [
                "element" => 'package::package.formcontrols.DATETIME',
                "type" => 'package::package.formcontrols.DATETIME',
                "label" => 'annotator::annotator.label.modified_at',
                "placeholder" => 'annotator::annotator.placeholder.modified_at',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            ')' => [
                "element" => 'package::package.formcontrols.ON',
                "type" => 'package::package.formcontrols.ON',
                "label" => 'annotator::annotator.label.)',
                "placeholder" => 'annotator::annotator.placeholder.)',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            '),' => [
                "element" => 'package::package.formcontrols.PRIMARY',
                "type" => 'package::package.formcontrols.PRIMARY',
                "label" => 'annotator::annotator.label.),',
                "placeholder" => 'annotator::annotator.placeholder.),',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'id),' => [
                "element" => 'package::package.formcontrols.INDEX',
                "type" => 'package::package.formcontrols.INDEX',
                "label" => 'annotator::annotator.label.id),',
                "placeholder" => 'annotator::annotator.placeholder.id),',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'annotator/annotator/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'annotator/annotator/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'annotator/annotator',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'annotator/annotator',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'annotator/annotator',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'annotator/annotator',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'annotator::annotator.label.created_at',
            'name' => 'annotator::annotator.label.name',
            'status' => 'annotator::annotator.label.status',
        ],
        'groups' => [
            'main' => 'annotator::annotator.groups.main',
            'details' => 'annotator::annotator.groups.details',
            'images' => 'annotator::annotator.groups.images',
            'settings' => 'annotator::annotator.groups.settings',
        ],
        'controller' => [
            'provider' => 'Annotators',
            'package' => 'Annotator',
            'module' => 'Annotator',
        ],
    ];
